http://ftp.mayn.de/pub/cpm/systems/cpm-1/INDEX.txt| 
http://ftp.mayn.de/pub/cpm/systems/cpm-1/cpm14-b.zip|Here is the binary for CP/M v1.4. The BIOS should be for a Tarbell disk controller controller.
http://ftp.mayn.de/pub/cpm/systems/cpm-1/imdos.zip|This is an interesting early vesion of CP/M. It is for an Imsai computer. Examining the binary reveals copyright messages for Digital Research dating it at 1976. That has to make it one of the earliest versions of CP/M ever.
